<?php

/*
Mailboy - A Php/MySQL application that offers a web based interface
to administer an email server. It can be used by the server administrator
as well as the email users.
(c) 2009 Emmanuel Revah - manu-at-manurevah.com
http://manurevah.com/blah/en/pages/mailboy

This file is part of Mailboy.

Mailboy is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Mailboy is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Mailboy.  If not, see <http://www.gnu.org/licenses/>.
*/

function print_array($a) {
	echo "<pre>";
	print_r($a);
	echo "</pre>";
}

/* permission functions */
function am_i_admin() {
	if ($_SESSION['login']['admin'] OR $_SESSION['login']['admin_of']) {
		return true;
	}
}
function am_i_server_admin($level="10000") {
	global $privacy_level;
	if ((am_i_admin() AND $level <= $privacy_level) OR ($_SESSION['login']['admin'])) {
		return true;
	}
}
function am_i_super_admin() {
		global $super_dooper_user;
	if ($_SESSION[login][uid] == $super_dooper_user ) {
		return true;
	}
}
function am_i_user() {
	if ($_SESSION['login']['user']) {
		return true;
	}
}
function am_i_admin_of($domain_id) {
	if ((is_array($_SESSION[login][admin_of]) AND array_key_exists($domain_id, $_SESSION[login][admin_of])) OR ($_SESSION[login][admin])) {
		return true;
	}
}
function is_this_mine($uid) {
	if ($_SESSION[login][uid] == $uid) {
		return true;
	}
}
function list_my_domains() {
	if (!am_i_server_admin(1)) {
		$not_server_admin_q = "WHERE id IN(";
		if (is_array($_SESSION[login][admin_of])) {
			foreach ($_SESSION[login][admin_of] as $k => $v) {
				$not_server_admin_q .= "$k,";
			}
			$not_server_admin_q = rtrim($not_server_admin_q, ',');
		} else {
			$not_server_admin_q .= $_SESSION[login][domain_id];
		}
		$not_server_admin_q .= ")";
	}
	return $not_server_admin_q;
}

/* open mysql */
function makesqlhappen() {
	global $db_host;
	global $db_user;
	global $db_pass;
	global $db_database;
	mysql_connect($db_host, $db_user, $db_pass) or die ("muther frakker, cannot connect to db");
	mysql_select_db($db_database);
	@mysql_query("SET CHARACTER SET 'utf8'");
	@mysql_query("SET character_set_results = NULL");
}

function fill_check_input($var, $type, $value="oisfosd#foo") {
	if (isset($var)) {
		if ($type == "input") { echo $var; }
		if ($type == "check") { if ($var == $value) { echo 'checked="checked"'; }	}
		if ($type == "select") { if ($var == $value) { echo 'selected="selected"'; }	}
		if ($type == "mselect") { foreach ($var as $opt) { if ($opt == "$value") { echo 'selected="selected"'; } } }
		if ($type == "mcheck") { foreach ($var as $opt) { if ($opt == "$value") { echo 'checked="checked"'; } } }
	}
}

/* Check for listing order */
function check_order_by($type) {
	global $get_page;
	$type_array = array (
			'domains' => array ('id', 'name', 'default_policy', 'policy_name', 'policy_id', 'default_quota', 'accounts', 'aliases'),
			'accounts' => array ('uid', 'user', 'email', 'quota_kb', 'policy_name', 'admin', 'admin_of_ids', 'admin_of_names'),
			'aliases' => array ('source', 'destination'),
			'policies' => array ('id', 'policy_name', 'virus_lover', 'spam_lover', 'banned_files_lover', 'bad_header_lover', 'bypass_virus_checks',
			'bypass_spam_checks', 'bypass_banned_checks', 'bypass_header_checks', 'spam_modifies_subj', 'spam_quarantine_to', 'spam_tag_level',
			'spam_tag2_level', 'spam_kill_level'),
			'relay_domains' => array ('id', 'domain'),
			'ip_access' => array ('id', 'ip', 'state', 'note'),
			'domain_access' => array ('id', 'domain', 'state', 'note'),
	);
	$order_array = array('DESC', 'ASC');
	$order_by_array = $type_array[$type];
	$order_desc_asc = strtoupper($_GET[order]);
	$order_by_this = $_GET[order_by];
	if (empty($order_desc_asc) OR !in_array($order_desc_asc, $order_array)) {
		$order_desc_asc = "ASC";
		$ascdesc = "DESC";
	} elseif ($order_desc_asc == "DESC") {
		$ascdesc = "ASC";
	} else {
		$ascdesc = "DESC";
	}
	foreach ($order_by_array as $k => $v) {
		if ($_GET[page] == "accounts") {
			$result[th][$v] = "index.php?page=accounts&domain_id=$_GET[domain_id]&order_by=$v&order=$ascdesc";
		} else {
			$result[th][$v] = "index.php?page=$get_page&order_by=$v&order=$ascdesc";
		}
	}
	if (empty($order_by_this) OR !in_array($order_by_this, $order_by_array)) {
		$order_by_this = "";
	}
	if (!empty($order_by_this)) {
		$result[order_by] = "ORDER BY $order_by_this $order_desc_asc";
	}
	return $result;
}

/* not really a function but it's here for now */
if ($_POST['logout']) {
	unset($_GET);
	unset($_POST);
	unset($_SESSION);
	session_destroy();
	$content[status][] = "logged out";
}

?>
