<?php
/*
Mailboy - A Php/MySQL application that offers a web based interface
to administer an email server. It can be used by the server administrator
as well as the email users.
(c) 2009 Emmanuel Revah - manu-at-manurevah.com
http://manurevah.com/blah/en/pages/mailboy

This file is part of Mailboy.

Mailboy is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Mailboy is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Mailboy.  If not, see <http://www.gnu.org/licenses/>.
*/
?>

<? if(am_i_server_admin(3)) { ?>
	<form action="" method="post" enctype="multipart/form-data">
	<fieldset>
		<legend>Policy definitions</legend>
		<table>
			<tr>
				<th><a href="<? echo $content[domains_table][th][policy_name]; ?>">Policy name</a></th>
				<th>Options</th>
				<th>Actions</th>
			</tr>

	<? if (is_array($content[policies])) {
		foreach ($content[policies] as $k => $v) { ?>
			<tr>
				<td class="col_policy_name"><input type="text" class="input-text" name="<? echo $v[id]; ?>[<? echo $content[forms][policy][policy_name]; ?>]" id="" value="<? echo $v[policy_name]; ?>" /></td>
				<td>
				<table>
					<tr>
						<th>Virus lover</th>
						<th>Spam lover</th>
						<th>Banned files lover</th>
						<th>Bad header lover</th>
						<th>Bypass virus checks</th>
						<th>Bypass spam checks</th>
						<th>Bypass banned checks</th>
						<th>Bypass header checks</th>
					</tr>
					<tr>
						<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][virus_lover]; ?>]" >
								<option <? fill_check_input($v[virus_lover], "select", "Y"); ?> value="Y" >yes</option>
								<option <? fill_check_input($v[virus_lover], "select", "N"); ?> value="N" >no</option>
							</select>
						</td>
						<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][spam_lover]; ?>]" >
								<option <? fill_check_input($v[spam_lover], "select", "Y"); ?> value="Y" >yes</option>
								<option <? fill_check_input($v[spam_lover], "select", "N"); ?> value="N" >no</option>
							</select>
						</td>
						<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][banned_files_lover]; ?>]" >
								<option <? fill_check_input($v[banned_files_lover], "select", "Y"); ?> value="Y" >yes</option>
								<option <? fill_check_input($v[banned_files_lover], "select", "N"); ?> value="N" >no</option>
							</select>
						</td>
						<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][bad_header_lover]; ?>]" >
								<option <? fill_check_input($v[bad_header_lover], "select", "Y"); ?> value="Y" >yes</option>
								<option <? fill_check_input($v[bad_header_lover], "select", "N"); ?> value="N" >no</option>
							</select>
						</td>
						<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][bypass_virus_checks]; ?>]" >
								<option <? fill_check_input($v[bypass_virus_checks], "select", "Y"); ?> value="Y" >yes</option>
								<option <? fill_check_input($v[bypass_virus_checks], "select", "N"); ?> value="N" >no</option>
							</select>
						</td>
						<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][bypass_spam_checks]; ?>]" >
								<option <? fill_check_input($v[bypass_spam_checks], "select", "Y"); ?> value="Y" >yes</option>
								<option <? fill_check_input($v[bypass_spam_checks], "select", "N"); ?> value="N" >no</option>
							</select>
						</td>
						<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][bypass_banned_checks]; ?>]" >
								<option <? fill_check_input($v[bypass_banned_checks], "select", "Y"); ?> value="Y" >yes</option>
								<option <? fill_check_input($v[bypass_banned_checks], "select", "N"); ?> value="N" >no</option>
							</select>
						</td>
						<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][bypass_header_checks]; ?>]" >
								<option <? fill_check_input($v[bypass_header_checks], "select", "Y"); ?> value="Y" >yes</option>
								<option <? fill_check_input($v[bypass_header_checks], "select", "N"); ?> value="N" >no</option>
							</select>
						</td>
					</tr>
				</table>
				<table>
					<tr>
						<th>Spam modifies subject</th>
						<th>Spam quarantine to</th>
						<th>Spam tag level</th>
						<th>Spam tag2 level</th>
						<th>Spam kill level</th>
					</tr>
					<tr>
						<td><select name="<? echo $v[id]; ?>[<? echo $content[forms][policy][spam_modifies_subj]; ?>]" >
								<option <? fill_check_input($v[spam_modifies_subj], "select", "Y"); ?> value="Y" >yes</option>
								<option <? fill_check_input($v[spam_modifies_subj], "select", "N"); ?> value="N" >no</option>
							</select>
						</td>
						<td class="col_quarantine"><input type="text" class="input-text" name="<? echo $v[id]; ?>[<? echo $content[forms][policy][spam_quarantine_to]; ?>]" id="" value="<? echo $v[spam_quarantine_to]; ?>" /></td>
						<td class="col_spam_tag_level"><input type="text" class="input-text" name="<? echo $v[id]; ?>[<? echo $content[forms][policy][spam_tag_level]; ?>]" id="" value="<? echo $v[spam_tag_level]; ?>" /></td>
						<td class="col_spam_tag2_level"><input type="text" class="input-text" name="<? echo $v[id]; ?>[<? echo $content[forms][policy][spam_tag2_level]; ?>]" id="" value="<? echo $v[spam_tag2_level]; ?>" /></td>
						<td class="col_spam_kill_level"><input type="text" class="input-text" name="<? echo $v[id]; ?>[<? echo $content[forms][policy][spam_kill_level]; ?>]" id="" value="<? echo $v[spam_kill_level]; ?>" /></td>
					</tr>
				</table>
				</td>
				<td class="col_actions">
					<input type="radio" name="<? echo $v[id]; ?>[<? echo $content[forms][policy][action]; ?>]" id="edit_<? echo $v[id]; ?>" value="<? echo $content[forms][policy][mod]; ?>" /><label for="edit_<? echo $v[id]; ?>">Edit</label><br />
					<? if (am_i_server_admin(4)) { ?>
					<input type="radio" name="<? echo $v[id]; ?>[<? echo $content[forms][policy][action]; ?>]" id="delete_<? echo $v[id]; ?>" value="<? echo $content[forms][policy][del]; ?>" /><label for="delete_<? echo $v[id]; ?>">Delete</label><br />
					<? } ?>
					<input type="radio" name="<? echo $v[id]; ?>[<? echo $content[forms][policy][action]; ?>]" id="nothing_<? echo $v[id]; ?>" value="" /><label for="nothing_<? echo $v[id]; ?>">Nothing</label>
				</td>
			</tr>
		<? } ?>
	<? } ?>
		</table>
		<p class="submit">
			<input type="checkbox" name="<? echo $content[forms][policy][confirm]; ?>" id="" value="1" /><span class="pseudolabel">Please confirm your choice by checking the box.</span>
			<input type="submit" class="input-submit" name="<? echo $content[forms][policy][submit_mod_del]; ?>" value="Edit policy(ies)" />
		</p>
	</form>
	</fieldset>
<? } else { ?>
	<fieldset>
	<legend>Policy definitions</legend>
	<table>
		<tr>
			<th>Policy name</th>
			<th>Virus lover</th>
			<th>Spam lover</th>
			<th>Banned files lover</th>
			<th>Bad header lover</th>
			<th>Bypass virus checks</th>
			<th>Bypass spam checks</th>
			<th>Bypass banned checks</th>
			<th>Bypass header checks</th>
			<th>Spam modifies subject</th>
			<th>Spam quarantine to</th>
			<th>Spam tag level</th>
			<th>Spam tag2 level</th>
			<th>Spam kill level</th>
		</tr>
	<? foreach ($content[policies] as $k => $v) { ?>
		<tr>
			<td><? echo $v[policy_name]; ?></td>
			<td><? echo $v[virus_lover]; ?></td>
			<td><? echo $v[spam_lover]; ?></td>
			<td><? echo $v[banned_files_lover]; ?></td>
			<td><? echo $v[bad_header_lover]; ?></td>
			<td><? echo $v[bypass_virus_checks]; ?></td>
			<td><? echo $v[bypass_spam_checks]; ?></td>
			<td><? echo $v[bypass_banned_checks]; ?></td>
			<td><? echo$v[bypass_header_checks]; ?></td>
			<td><? echo $v[spam_modifies_subj]; ?></td>
			<td><? echo $v[spam_quarantine_to]; ?></td>
			<td class="input-numeric"><? echo $v[spam_tag_level]; ?></td>
			<td class="input-numeric"><? echo $v[spam_tag2_level]; ?></td>
			<td class="input-numeric"><? echo $v[spam_kill_level]; ?></td>
		</tr>
	<? } ?>
	</table>
	</fieldset>
<? } ?>

<? /* Add ne policy form */ ?>
<? if(am_i_server_admin(2)) { ?>
<fieldset>
	<legend>Add policy</legend>
	<form action="" method="post" enctype="multipart/form-data">
		<dl>
			<dt><label for="policy_name">Policy name</label></dt>
			<dd><input type="text" class="input-text" name="<? echo $content[forms][policy][policy_name]; ?>" id="policy_name" value="" /></dd>
			<dt><label for="virus_lover">Virus lover</label></dt>
			<dd><select name="<? echo $content[forms][policy][virus_lover]; ?>" id="virus_lover">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select></dd>
			<dt><label for="spam_lover">Spam lover</label></dt>
			<dd><select name="<? echo $content[forms][policy][spam_lover]; ?>" id="spam_lover">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select></dd>
			<dt><label for="banned_lover">Banned files lover</label></dt>
			<dd><select name="<? echo $content[forms][policy][banned_files_lover]; ?>" id="banned_lover">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select></dd>
			<dt><label for="bad_header_lover">Bad header lover</label></dt>
			<dd><select name="<? echo $content[forms][policy][bad_header_lover]; ?>" id="bad_header_lover">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select></dd>
			<dt><label for="by_virus">Bypass virus checks</label></dt>
			<dd><select name="<? echo $content[forms][policy][bypass_virus_checks]; ?>" id="by_virus">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select></dd>
			<dt><label for="by_spam">Bypass spam checks</label></dt>
			<dd><select name="<? echo $content[forms][policy][bypass_spam_checks]; ?>" id="by_spam">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select></dd>
			<dt><label for="by_banned">Bypass banned checks</label></dt>
			<dd><select name="<? echo $content[forms][policy][bypass_banned_checks]; ?>" id="by_banned">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select></dd>
			<dt><label for="by_header">Bypass header checks</label></dt>
				<dd><select name="<? echo $content[forms][policy][bypass_header_checks]; ?>" id="by_header">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select></dd>
			<dt><label for="mod_subject">Spam modifies subject</label></dt>
				<dd><select name="<? echo $content[forms][policy][spam_modifies_subj]; ?>" id="mod_subject">
					<option value="Y" >yes</option>
					<option value="N" >no</option>
				</select></dd>
			<dt><label for="quarantine_adress">Spam quarantine to</label></dt>
			<dd><input type="text" class="input-text" name="<? echo $content[forms][policy][spam_quarantine_to]; ?>" id="quarantine_adress" value="" /></dd>
			<dt><label for="tag_level">Spam tag level</label></dt>
			<dd><input type="text" class="input-text" name="<? echo $content[forms][policy][spam_tag_level]; ?>" id="tag_level" value="" /></dd>
			<dt><label for="tag2_level">Spam tag 2 level</label></dt>
			<dd><input type="text" class="input-text" name="<? echo $content[forms][policy][spam_tag2_level]; ?>" id="tag2_level" value="" /></dd>
			<dt><label for="kill_level">Spam kill level</label></dt>
			<dd><input type="text" class="input-text" name="<? echo $content[forms][policy][spam_kill_level]; ?>" id="kill_level" value="" /></dd>
		</dl>
		<p class="submit">
			<input type="submit" class="input-submit" name="<? echo $content[forms][policy][submit_add]; ?>" value="Add policy" />
		</p>
	</form>
</fieldset>
<? } ?>
