<?php
/*
	Template for listing domains

    [forms] =>
            [del_domain] =>
                    [submit] => submit_del_domain
                    [del_domain] => del_domain
                    [del_domain_confirm] => del_domain_confirm
            [add_domain] =>
                    [policy] => policy
                    [default_policy_id] =>
                    [default_policy] => no policy
                    [policies] =>
                            [1] => none
                            [2] => all
                    [new_domain] => new_domain
                    [submit] => add_domain
    [status] =>
            [0] => domain example.com added \o/
    [domains] =>
            [1] =>
                    [id] => 1
                    [name] => test.com
                    [default_policy] => 0
                    [policy_name] =>
                    [policy_id] =>
                    [accounts] => 1
                    [aliases] => 0
            [2] =>
                    [id] => 13
                    [name] => example.com
                    [default_policy] => 2
                    [policy_name] => all
                    [policy_id] => 2
                    [accounts] => 0
                    [aliases] => 0

if you want to see all the vars usable you may also use:
	print_array($content);

*/ ?>

<? /* adddomain form */ ?>
<form action="" method="post" enctype="multipart/form-data">
	<dl>
		<dt><label for="add_domain">Add a domain</label></dt>
		<dd><input type="text" name="<? echo $content[forms][add_domain][new_domain]; ?>" id="add_domain" value="<? echo $content[forms][add_domain][domain]; ?>" /></dd>
		<dt><label for="policy"></label></dt>
		<dd><select name="<? echo $content[forms][add_domain][policy]; ?>" id="policy">
				<option value="<? echo $content[forms][add_domain][default_policy_id]; ?>"><? echo $content[forms][add_domain][default_policy]; ?></option>
				<? foreach ($content[forms][add_domain][policies] as $k => $v) { ?>
					<option value="<? echo $k; ?>"><? echo $v; ?></option>
				<? } ?>
			</select>
		</dd>
		<dt><label for="default_quota">Default quota (MB)</label></dt>
		<dd><input type="text" name="<? echo $content[forms][add_domain][default_quota]; ?>" id="default_quota" value="" /></dd>
		<dt></dt>
		<dd><input type="submit" name="<? echo $content[forms][add_domain][submit]; ?>" value="Add domain" /></dd>
	</dl>
</form>

<? // list domains AND del_domain form at the same time ?>
<? if ($content[domains]) { ?>
<form action="" method="post" enctype="multipart/form-data">
	<table border="1">
			<tr><th>domain</th>
				<th>default policy</th>
				<th>default quota (MB)</th>
				<th>accounts</th>
				<th>aliases</th>
				<th>delete?</th>
			</tr>
			<? foreach ($content[domains] as $k => $v) { ?>
			<tr>
				<td><a href="index.php?page=accounts&domain_id=<? echo $v[id]; ?>"><? echo $v[name]; ?></a></td>
				<td><? echo $v[policy_name]; ?></td>
				<td><? echo $v[default_quota]; ?></td>
				<td><? echo $v[accounts]; ?></td>
				<td><? echo $v[aliases]; ?></td>
				<td><input type="checkbox" name="<? echo $content[forms][del_domain][del_domain]; ?>[]" id="" value="<? echo $v[id]; ?>"/>
			</tr>
			<? } ?>
	</table>
	<input type="checkbox" name="<? echo $content[forms][del_domain][del_domain_confirm]; ?>" id="" value="1"/>Really do it ?
	<input type="submit" name="<? echo $content[forms][del_domain][submit]; ?>" value="Delete" title="Be fucking careful" />
</form>

<?php } ?>
